<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.clientstream.LegacyClientStream</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.clientstream-module.html">Module&nbsp;clientstream</a> ::
        Class&nbsp;LegacyClientStream
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class LegacyClientStream</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream">source&nbsp;code</a></span></p>
<pre class="base-tree">
           <a href="pyxmpp.streamtls.StreamTLSMixIn-class.html">streamtls.StreamTLSMixIn</a> --+        
                                      |        
      <a href="pyxmpp.sasl.core.PasswordManager-class.html">sasl.core.PasswordManager</a> --+   |        
                                  |   |        
         <a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html">streamsasl.StreamSASLMixIn</a> --+        
                                      |        
<a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html">stanzaprocessor.StanzaProcessor</a> --+   |        
                                  |   |        
         <a href="pyxmpp.xmlextra.StreamHandler-class.html">xmlextra.StreamHandler</a> --+   |        
                                  |   |        
              <a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a> --+        
                                      |        
                          <a href="pyxmpp.stream.Stream-class.html">stream.Stream</a> --+    
                                          |    
                  <a href="pyxmpp.clientstream.ClientStream-class.html">clientstream.ClientStream</a> --+
                                              |
                                             <strong class="uidshort">LegacyClientStream</strong>
</pre>

<hr />
<p>Handles Jabber (both XMPP and legacy protocol) client connection stream.</p>
<p>Both client and server side of the connection is supported. This class handles
client SASL and legacy authentication, authorisation and XMPP resource binding.</p>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">jid</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">server</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">port</span>=<span class="summary-sig-default">5222</span>,
        <span class="summary-sig-arg">auth_methods</span>=<span class="summary-sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">sasl:DIGEST-MD5</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">digest</code><code class="variable-quote">'</code><code class="variable-group">)</code></span>,
        <span class="summary-sig-arg">tls_settings</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">keepalive</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">owner</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize a LegacyClientStream object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_reset" class="summary-sig-name" onclick="show_private();">_reset</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Reset the <a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html" class="link">LegacyClientStream</a> object state, making the object ready
to handle new connections.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._reset">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_post_connect" class="summary-sig-name" onclick="show_private();">_post_connect</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Initialize authentication when the connection is established
and we are the initiator.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._post_connect">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_post_auth" class="summary-sig-name" onclick="show_private();">_post_auth</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Unregister legacy authentication handlers after successfull
authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._post_auth">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_try_auth" class="summary-sig-name" onclick="show_private();">_try_auth</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Try to authenticate using the first one of allowed authentication
methods left.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._try_auth">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#auth_in_stage1" class="summary-sig-name">auth_in_stage1</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle the first stage (&lt;iq type='get'/&gt;) of legacy (&quot;plain&quot; or
&quot;digest&quot;) authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_in_stage1">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#auth_in_stage2" class="summary-sig-name">auth_in_stage2</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle the second stage (&lt;iq type='set'/&gt;) of legacy (&quot;plain&quot; or
&quot;digest&quot;) authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_in_stage2">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_auth_stage1" class="summary-sig-name" onclick="show_private();">_auth_stage1</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Do the first stage (&lt;iq type='get'/&gt;) of legacy (&quot;plain&quot; or
&quot;digest&quot;) authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._auth_stage1">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#auth_timeout" class="summary-sig-name">auth_timeout</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Handle legacy authentication timeout.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_timeout">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#auth_error" class="summary-sig-name">auth_error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle legacy authentication error.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#auth_stage2" class="summary-sig-name">auth_stage2</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle the first stage authentication response (result of the &lt;iq
type=&quot;get&quot;/&gt;).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_stage2">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_plain_auth_stage2" class="summary-sig-name" onclick="show_private();">_plain_auth_stage2</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">_unused</span>)</span><br />
      Do the second stage (&lt;iq type='set'/&gt;) of legacy &quot;plain&quot;
authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._plain_auth_stage2">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_plain_auth_in_stage2" class="summary-sig-name" onclick="show_private();">_plain_auth_in_stage2</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">username</span>,
        <span class="summary-sig-arg">_unused</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle the second stage (&lt;iq type='set'/&gt;) of legacy &quot;plain&quot;
authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._plain_auth_in_stage2">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_digest_auth_stage2" class="summary-sig-name" onclick="show_private();">_digest_auth_stage2</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">_unused</span>)</span><br />
      Do the second stage (&lt;iq type='set'/&gt;) of legacy &quot;digest&quot;
authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._digest_auth_stage2">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#_digest_auth_in_stage2" class="summary-sig-name" onclick="show_private();">_digest_auth_in_stage2</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">username</span>,
        <span class="summary-sig-arg">_unused</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle the second stage (&lt;iq type='set'/&gt;) of legacy &quot;digest&quot;
authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._digest_auth_in_stage2">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="auth_finish"></a><span class="summary-sig-name">auth_finish</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">_unused</span>)</span><br />
      Handle success of the legacy authentication.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_finish">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#registration_error" class="summary-sig-name">registration_error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle in-band registration error.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.registration_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#registration_form_received" class="summary-sig-name">registration_form_received</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle registration form received.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.registration_form_received">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#submit_registration_form" class="summary-sig-name">submit_registration_form</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">form</span>)</span><br />
      Submit a registration form.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.submit_registration_form">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html#registration_success" class="summary-sig-name">registration_success</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Handle registration success.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.registration_success">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.clientstream.ClientStream-class.html">clientstream.ClientStream</a></code></b>:
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#accept">accept</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#check_authzid">check_authzid</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#choose_realm">choose_realm</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#connect">connect</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#do_bind">do_bind</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#fix_in_stanza">fix_in_stanza</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#fix_out_stanza">fix_out_stanza</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#get_password">get_password</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#get_realms">get_realms</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#get_serv_host">get_serv_host</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#get_serv_name">get_serv_name</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#get_serv_type">get_serv_type</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.clientstream.ClientStream-class.html">clientstream.ClientStream</a></code></b> (private):
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#_connect" onclick="show_private();">_connect</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#_get_stream_features" onclick="show_private();">_get_stream_features</a></code>
      </p></div>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stream.Stream-class.html">stream.Stream</a></code></b> (private):
      <code><a href="pyxmpp.stream.Stream-class.html#_got_features" onclick="show_private();">_got_features</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#_make_stream_features" onclick="show_private();">_make_stream_features</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#_process_node" onclick="show_private();">_process_node</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html">streamtls.StreamTLSMixIn</a></code></b>:
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#get_tls_connection">get_tls_connection</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#tls_is_certificate_valid">tls_is_certificate_valid</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html">streamtls.StreamTLSMixIn</a></code></b> (private):
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_handle_tls_features" onclick="show_private();">_handle_tls_features</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_make_stream_tls_features" onclick="show_private();">_make_stream_tls_features</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_make_tls_connection" onclick="show_private();">_make_tls_connection</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process" onclick="show_private();">_process</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process_node_tls" onclick="show_private();">_process_node_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process_tls_node" onclick="show_private();">_process_tls_node</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_read" onclick="show_private();">_read</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_read_tls" onclick="show_private();">_read_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_request_tls" onclick="show_private();">_request_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_reset_tls" onclick="show_private();">_reset_tls</a></code>,
      <code><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_write_raw" onclick="show_private();">_write_raw</a></code>
      </p></div>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html">streamsasl.StreamSASLMixIn</a></code></b> (private):
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_handle_sasl_features" onclick="show_private();">_handle_sasl_features</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_make_stream_sasl_features" onclick="show_private();">_make_stream_sasl_features</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_node_sasl" onclick="show_private();">_process_node_sasl</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_abort" onclick="show_private();">_process_sasl_abort</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_auth" onclick="show_private();">_process_sasl_auth</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_challenge" onclick="show_private();">_process_sasl_challenge</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_failure" onclick="show_private();">_process_sasl_failure</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_node" onclick="show_private();">_process_sasl_node</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_response" onclick="show_private();">_process_sasl_response</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_process_sasl_success" onclick="show_private();">_process_sasl_success</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_reset_sasl" onclick="show_private();">_reset_sasl</a></code>,
      <code><a href="pyxmpp.streamsasl.StreamSASLMixIn-class.html#_sasl_authenticate" onclick="show_private();">_sasl_authenticate</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.sasl.core.PasswordManager-class.html">sasl.core.PasswordManager</a></code></b>:
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#check_password">check_password</a></code>,
      <code><a href="pyxmpp.sasl.core.PasswordManager-class.html#generate_nonce">generate_nonce</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a></code></b>:
      <code><a href="pyxmpp.streambase.StreamBase-class.html#__del__">__del__</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#bind">bind</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#check_to">check_to</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#close">close</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#connected">connected</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#disconnect">disconnect</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#error">error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#fileno">fileno</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#generate_id">generate_id</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#idle">idle</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#loop">loop</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#loop_iter">loop_iter</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#process">process</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#process_stream_error">process_stream_error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#send">send</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stanza">stanza</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stanza_start">stanza_start</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#state_change">state_change</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stream_end">stream_end</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#stream_start">stream_start</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#write_raw">write_raw</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a></code></b> (private):
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_accept" onclick="show_private();">_accept</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_bind_error" onclick="show_private();">_bind_error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_bind_success" onclick="show_private();">_bind_success</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_close" onclick="show_private();">_close</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_connect_socket" onclick="show_private();">_connect_socket</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_disconnect" onclick="show_private();">_disconnect</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_feed_reader" onclick="show_private();">_feed_reader</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_idle" onclick="show_private();">_idle</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_loop_iter" onclick="show_private();">_loop_iter</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_make_reader" onclick="show_private();">_make_reader</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_process_stream_node" onclick="show_private();">_process_stream_node</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_restart_stream" onclick="show_private();">_restart_stream</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send" onclick="show_private();">_send</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_end" onclick="show_private();">_send_stream_end</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_error" onclick="show_private();">_send_stream_error</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_features" onclick="show_private();">_send_stream_features</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_send_stream_start" onclick="show_private();">_send_stream_start</a></code>,
      <code><a href="pyxmpp.streambase.StreamBase-class.html#_write_node" onclick="show_private();">_write_node</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html">stanzaprocessor.StanzaProcessor</a></code></b>:
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_iq">process_iq</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_message">process_message</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_presence">process_presence</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_response">process_response</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#process_stanza">process_stanza</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#route_stanza">route_stanza</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_iq_get_handler">set_iq_get_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_iq_set_handler">set_iq_set_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_message_handler">set_message_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_presence_handler">set_presence_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#set_response_handlers">set_response_handlers</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#unset_iq_get_handler">unset_iq_get_handler</a></code>,
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#unset_iq_set_handler">unset_iq_set_handler</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html">stanzaprocessor.StanzaProcessor</a></code></b> (private):
      <code><a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html#_set_response_handlers" onclick="show_private();">_set_response_handlers</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.xmlextra.StreamHandler-class.html">xmlextra.StreamHandler</a></code></b>:
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#warning">warning</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.xmlextra.StreamHandler-class.html">xmlextra.StreamHandler</a></code></b> (private):
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#_stanza" onclick="show_private();">_stanza</a></code>,
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#_stream_end" onclick="show_private();">_stream_end</a></code>,
      <code><a href="pyxmpp.xmlextra.StreamHandler-class.html#_stream_start" onclick="show_private();">_stream_start</a></code>
      </p></div>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.clientstream.ClientStream-class.html">clientstream.ClientStream</a></code></b>:
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#auth_methods">auth_methods</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#my_jid">my_jid</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#password">password</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#port">port</a></code>,
      <code><a href="pyxmpp.clientstream.ClientStream-class.html#server">server</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stream.Stream-class.html">stream.Stream</a></code></b>:
      <code><a href="pyxmpp.stream.Stream-class.html#features">features</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#initiator">initiator</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#lock">lock</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#me">me</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#peer">peer</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#process_all_stanzas">process_all_stanzas</a></code>,
      <code><a href="pyxmpp.stream.Stream-class.html#tls">tls</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stream.Stream-class.html">stream.Stream</a></code></b> (private):
      <code><a href="pyxmpp.stream.Stream-class.html#_reader" onclick="show_private();">_reader</a></code>
      </p></div>
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.streambase.StreamBase-class.html">streambase.StreamBase</a></code></b>:
      <code><a href="pyxmpp.streambase.StreamBase-class.html#owner">owner</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">jid</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">server</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">port</span>=<span class="sig-default">5222</span>,
        <span class="sig-arg">auth_methods</span>=<span class="sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">sasl:DIGEST-MD5</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">digest</code><code class="variable-quote">'</code><code class="variable-group">)</code></span>,
        <span class="sig-arg">tls_settings</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">keepalive</span>=<span class="sig-default">0</span>,
        <span class="sig-arg">owner</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a LegacyClientStream object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">pyxmpp.JID</a>) - : local JID.</li>
        <li><strong class="pname"><code>password</code></strong> (: <code class="link">unicode</code>) - : user's password.</li>
        <li><strong class="pname"><code>server</code></strong> (: <code class="link">unicode</code>) - : server to use. If not given then address will be derived form the JID.</li>
        <li><strong class="pname"><code>port</code></strong> (: <code class="link">int</code>) - : port number to use. If not given then address will be derived form the JID.</li>
        <li><strong class="pname"><code>auth_methods</code></strong> (: sequence of <code class="link">str</code>) - : sallowed authentication methods. SASL authentication mechanisms
in the list should be prefixed with &quot;sasl:&quot; string.</li>
        <li><strong class="pname"><code>tls_settings</code></strong> (: <a href="pyxmpp.streamtls.TLSSettings-class.html" class="link">pyxmpp.TLSSettings</a>) - : settings for StartTLS -- <a href="pyxmpp.streamtls.TLSSettings-class.html" class="link">TLSSettings</a> instance.</li>
        <li><strong class="pname"><code>keepalive</code></strong> (: <code class="link">int</code>) - : keepalive output interval. 0 to disable.</li>
        <li><strong class="pname"><code>owner</code></strong> - : <a href="pyxmpp.client.Client-class.html" class="link">Client</a>, <a href="pyxmpp.jabberd.component.Component-class.html" class="link">Component</a> or similar object &quot;owning&quot; this stream.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.xmlextra.StreamHandler-class.html#__init__">xmlextra.StreamHandler.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_reset"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_reset</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._reset">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Reset the <a href="pyxmpp.jabber.clientstream.LegacyClientStream-class.html" class="link">LegacyClientStream</a> object state, making the object ready
to handle new connections.
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.streambase.StreamBase-class.html#_reset" onclick="show_private();">streambase.StreamBase._reset</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_post_connect"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_post_connect</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._post_connect">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize authentication when the connection is established
and we are the initiator.
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.streambase.StreamBase-class.html#_post_connect" onclick="show_private();">streambase.StreamBase._post_connect</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_post_auth"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_post_auth</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._post_auth">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Unregister legacy authentication handlers after successfull
authentication.
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.streambase.StreamBase-class.html#_post_auth" onclick="show_private();">streambase.StreamBase._post_auth</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="_try_auth"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_try_auth</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._try_auth">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Try to authenticate using the first one of allowed authentication
methods left.</p>
<p>[client only]</p>
  <dl class="fields">
    <dt>Overrides:
        <a href="pyxmpp.clientstream.ClientStream-class.html#_try_auth" onclick="show_private();">clientstream.ClientStream._try_auth</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="auth_in_stage1"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">auth_in_stage1</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_in_stage1">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle the first stage (&lt;iq type='get'/&gt;) of legacy (&quot;plain&quot; or
&quot;digest&quot;) authentication.</p>
<p>[server only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="auth_in_stage2"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">auth_in_stage2</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_in_stage2">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle the second stage (&lt;iq type='set'/&gt;) of legacy (&quot;plain&quot; or
&quot;digest&quot;) authentication.</p>
<p>[server only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_auth_stage1"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_auth_stage1</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._auth_stage1">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Do the first stage (&lt;iq type='get'/&gt;) of legacy (&quot;plain&quot; or
&quot;digest&quot;) authentication.</p>
<p>[client only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="auth_timeout"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">auth_timeout</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_timeout">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle legacy authentication timeout.</p>
<p>[client only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="auth_error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">auth_error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle legacy authentication error.</p>
<p>[client only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="auth_stage2"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">auth_stage2</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.auth_stage2">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle the first stage authentication response (result of the &lt;iq
type=&quot;get&quot;/&gt;).</p>
<p>[client only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_plain_auth_stage2"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_plain_auth_stage2</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">_unused</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._plain_auth_stage2">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Do the second stage (&lt;iq type='set'/&gt;) of legacy &quot;plain&quot;
authentication.</p>
<p>[client only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_plain_auth_in_stage2"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_plain_auth_in_stage2</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">username</span>,
        <span class="sig-arg">_unused</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._plain_auth_in_stage2">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle the second stage (&lt;iq type='set'/&gt;) of legacy &quot;plain&quot;
authentication.</p>
<p>[server only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_digest_auth_stage2"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_digest_auth_stage2</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">_unused</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._digest_auth_stage2">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Do the second stage (&lt;iq type='set'/&gt;) of legacy &quot;digest&quot;
authentication.</p>
<p>[client only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_digest_auth_in_stage2"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_digest_auth_in_stage2</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">username</span>,
        <span class="sig-arg">_unused</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream._digest_auth_in_stage2">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle the second stage (&lt;iq type='set'/&gt;) of legacy &quot;digest&quot;
authentication.</p>
<p>[server only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="registration_error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">registration_error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.registration_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle in-band registration error.</p>
<p>[client only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the error stanza received or <code class="link">None</code> on timeout.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="registration_form_received"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">registration_form_received</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.registration_form_received">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle registration form received.</p>
<p>[client only]</p>
<p>Call self.registration_callback with the registration form received
as the argument. Use the value returned by the callback will be a
filled-in form.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.iq.Iq</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="submit_registration_form"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">submit_registration_form</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">form</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.submit_registration_form">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Submit a registration form.</p>
<p>[client only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>form</code></strong> (: <a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">pyxmpp.jabber.dataforms.Form</a>) - : the filled-in form. When form is <code class="link">None</code> or its type is
&quot;cancel&quot; the registration is to be canceled.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="registration_success"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">registration_success</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.clientstream-pysrc.html#LegacyClientStream.registration_success">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle registration success.</p>
<p>[client only]</p>
<p>Clean up registration stuff, change state to &quot;registered&quot; and initialize
authentication.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.iq.Iq</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:00 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
